signconf_struct Struct Reference

`#include <signconf.h>`

## Data Fields

const char * | name
int | passthrough
duration_type * | sig_resign_interval
duration_type * | sig_refresh_interval
duration_type * | sig_validity_default
duration_type * | sig_validity_denial
duration_type * | sig_validity_keyset
duration_type * | sig_jitter
duration_type * | sig_inception_offset
duration_type * | nsec3param_ttl
ldns_rr_type | nsec_type
int | nsec3_optout
uint32_t | nsec3_algo
uint32_t | nsec3_iterations
const char * | nsec3_salt
nsec3params_type * | nsec3params
duration_type * | dnskey_ttl
const char ** | dnskey_signature
keylist_type * | keys
duration_type * | soa_ttl
duration_type * | soa_min
const char * | soa_serial
duration_type * | max_zone_ttl
const char * | filename
time_t | last_modified

## Detailed Description

Definition at line 41 of file signconf.h.

## Field Documentation

## dnskey_signature

const char** signconf_struct::dnskey_signature

Definition at line 63 of file signconf.h.

Referenced by rrset_sign(), signconf_create(), and zone_prepare_keys().

## dnskey_ttl

duration_type* signconf_struct::dnskey_ttl

Definition at line 62 of file signconf.h.

Referenced by rrset_sign(), signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), zone_publish_dnskeys(), and zone_recover2().

## filename

const char* signconf_struct::filename

Definition at line 71 of file signconf.h.

Referenced by signconf_cleanup(), and signconf_create().

## keys

keylist_type* signconf_struct::keys

Definition at line 64 of file signconf.h.

Referenced by rrset_sign(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), zone_backup2(), zone_prepare_keys(), zone_publish_dnskeys(), zone_recover2(), and zone_rollback_dnskeys().

## last_modified

time_t signconf_struct::last_modified

Definition at line 72 of file signconf.h.

Referenced by do_forcereadzone(), do_readsignconf(), do_readzone(), signconf_backup(), signconf_create(), signconf_update(), zone_load_signconf(), and zone_recover2().

## max_zone_ttl

duration_type* signconf_struct::max_zone_ttl

Definition at line 70 of file signconf.h.

Referenced by signconf_cleanup(), and signconf_create().

## name

const char* signconf_struct::name

Definition at line 43 of file signconf.h.

## nsec3_algo

uint32_t signconf_struct::nsec3_algo

Definition at line 57 of file signconf.h.

Referenced by signconf_check(), signconf_compare_denial(), signconf_create(), signconf_log(), zone_backup2(), and zone_recover2().

## nsec3_iterations

uint32_t signconf_struct::nsec3_iterations

Definition at line 58 of file signconf.h.

Referenced by signconf_compare_denial(), signconf_create(), signconf_log(), zone_backup2(), and zone_recover2().

## nsec3_optout

int signconf_struct::nsec3_optout

Definition at line 56 of file signconf.h.

Referenced by signconf_compare_denial(), signconf_create(), signconf_log(), zone_backup2(), and zone_recover2().

## nsec3_salt

const char* signconf_struct::nsec3_salt

Definition at line 59 of file signconf.h.

Referenced by signconf_cleanup(), signconf_compare_denial(), signconf_create(), signconf_log(), zone_backup2(), and zone_recover2().

## nsec3param_ttl

duration_type* signconf_struct::nsec3param_ttl

Definition at line 54 of file signconf.h.

Referenced by signconf_compare_denial(), signconf_create(), signconf_log(), and zone_publish_nsec3param().

## nsec3params

nsec3params_type* signconf_struct::nsec3params

Definition at line 60 of file signconf.h.

Referenced by denial_add_rr(), denial_nsecify(), signconf_cleanup(), signconf_create(), zone_backup2(), zone_publish_nsec3param(), zone_recover2(), and zone_rollback_nsec3param().

## nsec_type

ldns_rr_type signconf_struct::nsec_type

Definition at line 55 of file signconf.h.

Referenced by signconf_backup(), signconf_check(), signconf_compare_denial(), signconf_create(), signconf_log(), tools_output(), zone_publish_nsec3param(), and zone_recover2().

## passthrough

int signconf_struct::passthrough

Definition at line 44 of file signconf.h.

Referenced by signconf_check(), signconf_create(), signconf_log(), tools_input(), and zone_recover2().

## sig_inception_offset

duration_type* signconf_struct::sig_inception_offset

Definition at line 52 of file signconf.h.

Referenced by signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

## sig_jitter

duration_type* signconf_struct::sig_jitter

Definition at line 51 of file signconf.h.

Referenced by signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

## sig_refresh_interval

duration_type* signconf_struct::sig_refresh_interval

Definition at line 47 of file signconf.h.

Referenced by rrset_sign(), signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

## sig_resign_interval

duration_type* signconf_struct::sig_resign_interval

Definition at line 46 of file signconf.h.

Referenced by do_forcereadzone(), do_readzone(), do_signzone(), do_writezone(), signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

## sig_validity_default

duration_type* signconf_struct::sig_validity_default

Definition at line 48 of file signconf.h.

Referenced by signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

## sig_validity_denial

duration_type* signconf_struct::sig_validity_denial

Definition at line 49 of file signconf.h.

Referenced by signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

## sig_validity_keyset

duration_type* signconf_struct::sig_validity_keyset

Definition at line 50 of file signconf.h.

Referenced by signconf_backup(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

## soa_min

duration_type* signconf_struct::soa_min

Definition at line 67 of file signconf.h.

Referenced by denial_nsecify(), signconf_backup(), signconf_check(), signconf_cleanup(), signconf_compare_denial(), signconf_create(), signconf_log(), tools_signconf(), and zone_recover2().

## soa_serial

const char* signconf_struct::soa_serial

Definition at line 68 of file signconf.h.

Referenced by do_forcereadzone(), do_readzone(), do_signzone(), signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), zone_recover2(), and zone_update_serial().

## soa_ttl

duration_type* signconf_struct::soa_ttl

Definition at line 66 of file signconf.h.

Referenced by signconf_backup(), signconf_check(), signconf_cleanup(), signconf_create(), signconf_log(), and zone_recover2().

The documentation for this struct was generated from the following file:

- src/signer/signconf.h